33 lines
898 B
Diff
33 lines
898 B
Diff
|
From 354e32e863a19d3539c3bf1b6affc98630b0003d Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Thu, 26 Jun 2014 10:44:42 +0200
|
||
|
Subject: 00warpclock: check for /sbin/hwclock
|
||
|
|
||
|
We need to check if /sbin/hwclock exists to avoid error messages
|
||
|
when running dracut.
|
||
|
|
||
|
References: bnc#884513
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
---
|
||
|
modules.d/00warpclock/module-setup.sh | 3 ++-
|
||
|
1 file changed, 2 insertions(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/00warpclock/module-setup.sh b/modules.d/00warpclock/module-setup.sh
|
||
|
index 4d18795..5aec4eb 100755
|
||
|
--- a/modules.d/00warpclock/module-setup.sh
|
||
|
+++ b/modules.d/00warpclock/module-setup.sh
|
||
|
@@ -4,7 +4,8 @@
|
||
|
|
||
|
# called by dracut
|
||
|
check() {
|
||
|
- [ -e /etc/localtime -a -e /etc/adjtime ]
|
||
|
+ [ -e /etc/localtime -a -e /etc/adjtime ] || return 1
|
||
|
+ require_binaries /sbin/hwclock || return 1
|
||
|
}
|
||
|
|
||
|
# called by dracut
|
||
|
--
|
||
|
1.8.4.5
|
||
|
|